<div class="container-fluid">
  <div class="col-md-12">
    <div class="box">
      <div class="box-header with-border">
        <h3 class="box-title"> CBS Entries</h3>
        <hr>
        <div class="row">
          <div class="col-sm-2">
            <div class="form-group">
              <label for="recentStatus">Payment Status</label>
              <select id="recentStatus"
                      class="form-control"
                      [(ngModel)]="selectedPaymentStatus"
                      name="recentStatus">
                <option *ngFor="let event of (paymentStatus); let i = index"
                        [ngValue]="(paymentStatus)[i]"
                >{{(paymentStatus)[i]}}</option>
              </select>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>From Date </label><br>
              <p-calendar name="date"
                          [minDate]="minFromDate"
                          [showIcon]="false"
                          [(ngModel)]="fromDate"
              >
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label>To Date </label><br>
              <p-calendar name="date"
                          [minDate]="minToDate"
                          [showIcon]="false"
                          [(ngModel)]="toDate"
                          [style]="{ width: 30}">
              </p-calendar>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group">
              <label for="accountHead">Account Head </label>
              <select id="accountHead"
                      class="form-control"
                      name="accountHead"
                      [(ngModel)]="selectedAccountHeadId"
                      required>
                <option *ngFor="let event of (accountHeads); let i = index"
                        [ngValue]="(accountHeads)[i].accountHeadId"
                >{{(accountHeads)[i].description + '( ' + (accountHeads)[i].accountNumber + ')' }}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="debitBranch">Debit Branch</label>
              <select id="debitBranch"
                      class="form-control"
                      name="debitBranch"
                      [(ngModel)]="debitBranchCode"
                      required>
                <option *ngFor="let event of (allBranch); let i = index"
                        [ngValue]="(allBranch)[i].code"
                >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
              </select>
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="creditBranch">Credit Branch</label>
              <select id="creditBranch"
                      class="form-control"
                      name="creditBranch"
                      [(ngModel)]="creditBranchCode"
                      required>
                <option *ngFor="let event of (allBranch); let i = index"
                        [ngValue]="(allBranch)[i].code"
                >{{(allBranch)[i].name + ' ( ' + (allBranch)[i].code + ' )'}}</option>
              </select>
            </div>
          </div>


          <div class="col-sm-2">
            <div class="form-group">
              <label for="memoCode">Memo Code</label>
              <input id="memoCode"
                     name="memoCode"
                     class="form-control"
                     [(ngModel)]="memoCode">
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="txnId">Txn Id</label>
              <input id="txnId"
                     name="txnId"
                     class="form-control"
                     [(ngModel)]="txnId">
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group">
              <label for="toAccountNumber">To A/c </label>
              <input id="toAccountNumber"
                     name="toAccountNumber"
                     class="form-control"
                     [(ngModel)]="toAccountNumber">
            </div>
          </div>

          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-success btn-block" (click)="searchData()">
                Search</button>
            </div>
          </div>
          <div class="col-sm-2">
            <div class="form-group" style="margin-top: 27px">
              <button class=" btn btn-danger btn-block" (click)="restValues()">
                Reset</button>
            </div>
          </div>
        </div>
      </div>
      <!-- /.box-header -->
      <div class="box-body">
        <p-table id="exportTable"
                 class="text-center"
                 [columns]="columnName"
                 [value]="(data$)"
                 [(selection)]="selectedItems"
                 [resizableColumns]="true"
                 [autoLayout]="true">

          <ng-template pTemplate="caption">
            Total Payment Entries
            :&nbsp;{{ totalRecords }}
<!--            <button class="btn btn-info btn-xs fa-pull-right"-->
<!--                    (click)="downloadExcel()">-->
<!--              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>-->
<!--              <i class="pi pi-file-excel" style="font-size: 1em;"></i>-->
<!--              Download-->
<!--            </button>-->
            <button class="btn btn-info btn-xs fa-pull-right"
                    (click)="downloadExcel()">
              <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
              <i class="pi pi-file-excel" style="font-size: 1em;"></i>
              Download
            </button>
          </ng-template>
          <ng-template pTemplate="header" let-columns>
            <tr>
              <th *ngFor="let col of columns" [pSortableColumn]="col.value">
                {{col.name}}
                <p-sortIcon [field]="col.value"></p-sortIcon>
              </th>
            </tr>
          </ng-template>

          <ng-template pTemplate="body" let-list let-i="rowIndex">
            <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
              <td>{{ i + 1 + itemsPerPage * page }}</td>
              <td>{{list.txnDate}}</td>
              <td>{{list.txnId}}</td>
              <td>{{list.debitSolId}}</td>
              <td>{{list.debitAccountNumber }}</td>
              <td>{{list.debitHead}}</td>
              <td>{{list.creditSolId}}</td>
              <td>{{list.creditAccountNumber}}</td>
              <td>{{list.amount | currency: 'Rs.'}}</td>
              <td>{{list.memoCode}}</td>
              <td>{{list.paymentMadeBy}}</td>
              <td>{{list.verifyBy}}</td>
              <td>{{list.paymentStatus}}</td>
              <td>
                <button class="btn btn-info btn-xs"
                        [routerLink]="['/approved-bills', list.expenditureDetailId, 'payment', list.paymentStatus]" >
                  Detail
                </button>
              </td>
            </tr>
          </ng-template>
        </p-table>
        <p-paginator
          [rows]="itemsPerPage"
          [totalRecords]="totalRecords"
          pageLinkSize="3"
          [rowsPerPageOptions]="rowsPerPageOptions"
          (onPageChange)="paginate($event)">
        </p-paginator>
      </div>
    </div>
  </div>
</div>
